{% extends "siswa/userbase.html.twig" %}

{% block body %}

    <nav class="navbar navbar-expand-lg navbar-light bg-white sticky-top container-fluid shadow-sm flex-wrap">
        <div class="d-flex justify-content-center ">
            <div class="rounded-lg2 d-flex justify-content-md-center align-content-center"
                 style="height: 40px">
            </div>
            <div class="p-2 flex-grow-1 d-flex justify-content-md-center">
                <a id="title-bar" class="align-self-start text-white font-weight-bold  text-dark"> Pembayaran</a>
            </div>
        </div>
    </nav>

    <section class="container-fluid mt-3">
        <div class="b-primaryLight p-2" style="border-left: 4px solid var(--primaryColor)">
            <p class="text-black-50 f08 mb-1">Lakukan pembayaran sebelum</p>
            <p class="text-dark font-weight-bold f10 mb-0">{{ expiration }} WIB</p>
        </div>

{#        <p class="f12 text-dark font-weight-bold mt-4">No. Invoice : #{{ transaction.getPaymentReference() }}</p>#}
        <p class="f12 text-dark font-weight-bold mt-4">Silahkan Transfer ke</p>

        <div class="div-color p-3 mb-3 text-left"
             style="background-color: var(--light); border: 1px solid  var(--grey-d)">

            <p class="mb-2 f06" style="padding-top: 1em">Nama Bank</p>
            <div class="d-flex justify-content-between" style="border-bottom: 1px solid var(--grey-d)">
                <p class="f12 font-weight-bold">{{ transaction.getBank().getBank().getName() }}</p>
                <img src="{{ transaction.getBank().getBank().getIcon() }}" style="height: 1.2em">
            </div>

            <p class="mb-2 f06" style="padding-top: 1em">Nomor Rekening</p>
            <div class="d-flex justify-content-between" style="border-bottom: 1px solid var(--grey-d)">
                <p class="f12 font-weight-bold">{{ transaction.getBank().getNumber() }}</p>
                <a class="t-primary f10 font-weight-bold">SALIN</a>
            </div>

            <p class="mb-2 f06" style="padding-top: 1em">Nama Pemilik Rekening</p>
            <div class="d-flex justify-content-between" style="border-bottom: 1px solid var(--grey-d)">
                <p class="f12 font-weight-bold">CV. Teman Digital Indonesia</p>
            </div>

            <p class="mb-2 f06" style="padding-top: 1em">Total Tagihan</p>
            <div class="d-flex justify-content-between">
                <p class="f12 font-weight-bold mb-0">Rp {{ transaction.getAmount()|number_format(0, ',', '.') }}</p>
                <a class="t-primary f10 font-weight-bold">SALIN</a>
            </div>
        </div>


        <div class="div-color mt-4"
             style="border-color: var(--orange-temanbelajar); background-color: var(--orange-temanbelajar-light)">
            <p class="mb-0 text-center"> Transfer sesuai dengan angka diatas tepat sampai 3 digit terakhir. Perbedaan
                nominal akan menghambat proses verifikasi. Dan jangan lupa untuk menyimpan bukti transfer pembayaran
                anda.</p>
        </div>

{#        <p class="text-left f08 mt-4">Jika pembayaran anda tidak terkonfirmasi otomatis selama 2x24 jam, silahkan#}
{#            melakukan konfirmasi pembayaran dengan melampirkan bukti transfer</p>#}

        <p class="f12 text-dark mt-4 font-weight-bold">Cara Pembayaran</p>


        <div class="div-color p-3 mb-3"
             style="background-color: var(--light); border: 1px solid  var(--grey-d)">
            <a class="d-block text-dark" data-toggle="collapse" href="#collapseExample" role="button"
               aria-expanded="false"
               aria-controls="collapseExample">
                <div class="d-flex justify-content-between align-items-center">
                    <p class="mb-0 f10 font-weight-bold ">Transfer melalui ATM</p>
                    <i class="fa fa-search"></i>
                </div>
            </a>

            <div class="collapse" id="collapseExample">
                <p class="mt-3 text-left mb-0 f08">Untuk pembayaran melalui ATM dapat dilakukan dengan cara <br>

                    1. Masukkan kartu ATM {{ transaction.getBank().getBank().getName() }} ke dalam mesin ATM <br>
                    2. Masukkan PIN <br>
                    3. Pilih transfer <br>
                    4. Pilih transfer antar bank <br>
                    5. Masukkan nominal Rp {{ transaction.getAmount()|number_format(0, ',', '.') }} <br>
                    6. Masukkan nomor rekening tujuan {{ transaction.getBank().getNumber() }} <br>
                    7. Rekening atas nama CV. Teman Digital</p>
            </div>
        </div>

        <div class="div-color p-3 mb-3"
             style="background-color: var(--light); border: 1px solid  var(--grey-d)">
            <a class="d-block text-dark" data-toggle="collapse" href="#collapseExample" role="button"
               aria-expanded="false"
               aria-controls="collapseExample">
                <div class="d-flex justify-content-between align-items-center">
                    <p class="mb-0 f10 font-weight-bold ">Transfer melalui Mobile Banking</p>
                    <i class="fa fa-search"></i>
                </div>
            </a>

            <div class="collapse" id="collapseExample">
                <p class="mt-3 text-left mb-0 f08">Untuk pembayaran melalui ATM dapat dilakukan dengan cara <br>

                    1. Masukkan kartu ATM {{ transaction.getBank().getBank().getName() }} ke dalam mesin ATM <br>
                    2. Masukkan PIN <br>
                    3. Pilih transfer <br>
                    4. Pilih transfer atar bank <br>
                    5. Masukkan nominal Rp {{ transaction.getAmount()|number_format(0, ',', '.') }} <br>
                    6. Masukkan nomor rekening tujuan {{ transaction.getBank().getNumber() }} <br>
                    7. Rekening atas nama CV. Teman Digital</p>
            </div>
        </div>

        <div class="div-color p-3 mb-3"
             style="background-color: var(--light); border: 1px solid  var(--grey-d)">
            <a class="d-block text-dark" data-toggle="collapse" href="#collapseExample" role="button"
               aria-expanded="false"
               aria-controls="collapseExample">
                <div class="d-flex justify-content-between align-items-center">
                    <p class="mb-0 f10 font-weight-bold ">Transfer melalui Internet Banking</p>
                    <i class="fa fa-search"></i>
                </div>
            </a>

            <div class="collapse" id="collapseExample">
                <p class="mt-3 text-left mb-0 f08">Untuk pembayaran melalui ATM dapat dilakukan dengan cara <br>

                    1. Masukkan kartu ATM {{ transaction.getBank().getBank().getName() }} ke dalam mesin ATM <br>
                    2. Masukkan PIN <br>
                    3. Pilih transfer <br>
                    4. Pilih transfer atar bank <br>
                    5. Masukkan nominal Rp {{ transaction.getAmount()|number_format(0, ',', '.') }} <br>
                    6. Masukkan nomor rekening tujuan {{ transaction.getBank().getNumber() }} <br>
                    7. Rekening atas nama CV. Teman Digital</p>
            </div>
        </div>

        {% if(transaction.getConfirmationInfo() == null) %}
        <a class="d-block bt-primary mt-5" href="/member/payment/confirm/{{ transaction.getId() }}">Konfimasi Pembayaran</a>
        {% else %}
            <div class="b-primaryLight p-2" style="border-left: 4px solid var(--primaryColor)">
                <p class="text-black-50 f08 mb-1">Kamu Sudah Melakukan Melakukan Konfirmasi Atas Nama {{ transaction.getConfirmationInfo()['accountHolder'] }} Menggunakan Nomor Rekening {{ transaction.getConfirmationInfo()['accountNumber'] }} </p>
                <a href="/member/payment/confirm/{{ transaction.getId() }}" class="text-dark font-weight-bold f10 mb-0">Ganti</a>
            </div>
        {% endif %}
        <a href="/" class="d-block bt-outline-primary mt-2">Menuju Beranda</a>
{#        <a class="d-block bt-outline-primary mt-3 mb-5">Metode Pembayaran Lain</a>#}
    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}

{% endblock %}